<?php
function boksy_register_documentation_admin_page() {

  add_theme_page(
  	__( 'Theme Documentation', 'boksy' ), // $page-slug
  	__( 'Theme Documentation', 'boksy' ), // $menu-title
  	'manage_options',
  	'documentation', // $menu-slug
  	'boksy_documentation_admin_page',		
  	'dashicons-info', // $icon_url
  	100
  ); 

}
add_action( 'admin_menu', 'boksy_register_documentation_admin_page' );




function boksy_documentation_admin_page() {

	$theme = wp_get_theme();

	$theme_name 				= $theme->get( 'Name' );
	$theme_version 			= $theme->get( 'Version' );
	$theme_author 			= $theme->get( 'Author' );
	$theme_author_url 	= $theme->get( 'AuthorURI' );
	$theme_desc 				= $theme->get( 'Description' );

	$theme_screenshot = get_template_directory() . '/screenshot.png';
	$theme_screenshot_url = get_template_directory_uri() . '/screenshot.png';

	?>
	<div class="wrap" style="max-width: 700px;">


		<h2>Theme Documentation</h2>


		<div class="doc-header">
	 		<p>
				Hey! Thank you for using <strong><?php echo $theme_name; ?></strong>!
			</p>

			<p>
				Please note that this is the <strong>lite version of <?php echo $theme_name; ?></strong>. As this is meant to be a teaser for the full version, support is limited to bugs and errors while using the theme. If you like what you're seeing, check out the full version with more features <a href="<?php esc_url( wp_get_theme()->get( 'ThemeURI' ) ); ?>">here</a>! Please feel free to email me at <strong>gbobbd@gmail.com</strong>.
			</p>
		</div> <!-- /.doc-header -->
		



		<hr>




		<div class="doc-content">

			<div id="theme_info" class="theme-info">
				<h3>Theme Information</h3>

				<h4 class="theme-info-name">
					<?php echo $theme_name; ?>
					<span class="theme-version">v<?php echo $theme_version; ?></span>
				</h4>

				<p class="theme-info-author">
					By <a href="<?php echo esc_url( $theme_author_url ); ?>"><?php echo $theme_author; ?></a>
				</p>

				<?php if ( file_exists( $theme_screenshot ) ) : ?>
				<p class="theme-screenshot">
					<img src="<?php echo esc_url( $theme_screenshot_url ); ?>" alt="Screenshot" style="max-width: 500px;">
				</p>
				<?php endif; ?>				

				<p class="theme-desc">
					<?php echo $theme_desc; ?>
				</p>
			</div> <!-- /.theme-info -->




			<hr>




			<div id="theme_options" class="theme_options">
				<h3>Theme Options</h3>

				<p>
					<strong><?php echo $theme_name; ?></strong>'s options are built around WordPress' theme customizer which you can find under <code>Appearance > Customize</code>. Any editing done using the customizer will be <strong>updated live</strong>. That means no more <strong>F5</strong> spamming (yay).
				</p>

				<p>
					The options are very easy to understand, so please go ahead and try it right away.
				</p>
			</div> <!-- /.theme-setup -->





			<hr>
			



			<div id="theme_credits" class="theme-credits">
				<h3>Credits</h3>

		    <p>
		      <strong><?php echo $theme_name; ?></strong> is built using the following resources:
		    </p>

				<table class="form-table">					
					<tbody>
						<tr>
							<th>Icons</th>
	
							<td><a href="http://fortawesome.github.io/Font-Awesome/">FontAwesome</a></td>
						</tr>
	
						<tr>
							<th>Fonts</th>
	
							<td><a href="http://www.google.com/fonts/specimen/Raleway">Raleway</a></td>
						</tr>
	
						<tr>
							<th>Images (for demo)</th>
	
							<td><a href="http://unsplash.com/">Unsplash</a></td>
						</tr>		
					</tbody>
				</table>
			</div> <!-- /.theme-credits -->




			<hr>
			



			<div id="theme_license" class="theme_license">
				<h3>License</h3>

				<p>
					This product is licensed under <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU General Public License v2</a> or later.
				</p>
			</div> <!-- /.theme-translation -->

		</div>  <!-- /.doc-content -->


	</div> <!-- /.wrap -->
	<?php

}




function boksy_documentation_admin_page_styles() {

	$screen = get_current_screen();
	// return if it's not theme documentation page 
	if ( $screen->id !== 'appearance_page_documentation' ) {
		return;
	}

	?>
	<style id="theme_documentation_styles">
		hr {
			margin: 24px 0;
		}
	</style>
	<?php
}
add_action( 'admin_head', 'boksy_documentation_admin_page_styles' );




function boksy_documentation_notice() {

	$screen = get_current_screen();
	// return if it's not theme documentation page 
	if ( $screen->id !== 'appearance_page_documentation' ) {
		return;
	}

	?>
	<div class="update-nag">
 		You are using the Lite version of this theme. Get the full version <a href="<?php esc_url( wp_get_theme()->get( 'ThemeURI' ) ); ?>">here</a>!
  </div>
	<?php
}
add_action( 'admin_notices', 'boksy_documentation_notice' );
